Playlists: Sound Files

An uploaded audio clip used in call flows and playlists, such as a greeting or hold message.

GET /sound_files

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/sound_files

List Sound File records.

Lists the audio files uploaded to your company for use in IVR prompts, hold messages, and other call playback.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • name
  • description
  • token_values_count
  • sound_playlist_ids
  • audio_file_url
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /sound_files/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/sound_files/new

Build Sound File with defaults.

Builds a Sound File record with default attributes without saving it.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

audio_file
Optional Blank value allowed

Audio File

  • Must be a valid file upload.

sound_playlist_ids
Optional Blank value allowed

The Playlists this sound file belongs to.

token_value_ids
Optional Blank value allowed

Play this sound file only when the call matches these Tokens.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

POST /sound_files

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/sound_files

Create Sound File.

Uploads a new Sound File, supplying a name, description, and the audio_file itself.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

audio_file
Optional Blank value allowed

Audio File

  • Must be a valid file upload.

sound_playlist_ids
Optional Blank value allowed

The Playlists this sound file belongs to.

token_value_ids
Optional Blank value allowed

Play this sound file only when the call matches these Tokens.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

GET /sound_files/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/sound_files/:id

Get Sound File by id.

Retrieves a Sound File's details by id.

PUT /sound_files/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/sound_files/:id

Update Sound File by id.

Updates a Sound File's name or description, or replaces its audio_file.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

audio_file
Optional Blank value allowed

Audio File

  • Must be a valid file upload.

sound_playlist_ids
Optional Blank value allowed

The Playlists this sound file belongs to.

token_value_ids
Optional Blank value allowed

Play this sound file only when the call matches these Tokens.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

DELETE /sound_files/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/sound_files/:id

Destroy Sound File by id.

Deletes a Sound File by id.